/**
 * Represents the view of attained points
 * 
 * @author Michael Kolling (modified by Ulf Erben)
 * @version 1.0
 * 
 */
public class Points {

    private int points;
    Counter counter;

    Points() {
        DuoTetrisWorld world = DuoTetrisWorld.getWorld();
        counter = new Counter("");
        world.addObject(counter, world.getWidth() / 2, world.getHeight()-1);
    }

    void add(int points) {
        counter.add(points);
    }
    
    int getPoints() {
        return counter.getValue();
    }

    void add1(int points) {
        counter.add1(points);
    }
    
    int getPoints1() {
        return counter.getValue1();
    }

}
