import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class ITetromino1 here.
 * 
 * @author Dietrich Boles (modified by Ulf Erben)
 * @version 1.0
 */
public class ITetromino1 extends Tetromino1{
	ITetromino1() {
		super("red");
	}

	protected void addedToWorld(World world) {
		direction = 0;
		int start = START;
		for (int i = 0; i < 4; i++) {
			getWorld().addObject(b[i], start + i, 2);
		}
		setDirection();
	}

	protected void setDirection() {
		switch (direction) {
		case NORTH:
		case SOUTH:
			for (int i = 0; i < 4; i++) {
				if (i == 1)
					continue;
				b[i].setLocation(b[1].getX(), b[1].getY() + 1 - i);
			}
			break;

		case WEST:
		case EAST:
			for (int i = 0; i < 4; i++) {
				if (i == 1)
					continue;
				b[i].setLocation(b[1].getX() - 1 + i, b[1].getY());
			}
			break;
		}
	}

	protected Block leftMost() {
		return b[0];
	}

	protected Block rightMost() {
		return b[3];
	}

}
