import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class STetromino1 here.
 * 
 * @author Michael Kolling (modified by Ulf Erben)
 * @version 1.0
 */
public class STetromino1 extends Tetromino1{
	STetromino1() {
		super("green");
	}

	protected void addedToWorld(World world) {
		direction = 0;
		int start = START;
		getWorld().addObject(b[0], start, 1);
		getWorld().addObject(b[1], start + 1, 1);
		getWorld().addObject(b[2], start + 1, 0);
		getWorld().addObject(b[3], start + 2, 0);
		setDirection();
	}

	protected void setDirection() {
		switch (direction) {
		case NORTH:
		case SOUTH:
			b[0].setLocation(b[1].getX() - 1, b[1].getY());
			b[2].setLocation(b[1].getX(), b[1].getY() - 1);
			b[3].setLocation(b[1].getX() + 1, b[1].getY() - 1);
			break;
		case WEST:
		case EAST:
			b[0].setLocation(b[1].getX(), b[1].getY() + 1);
			b[2].setLocation(b[1].getX() - 1, b[1].getY());
			b[3].setLocation(b[1].getX() - 1, b[1].getY() - 1);
			break;
		}
	}

	protected Block leftMost() {
		switch (direction) {
		case NORTH:
		case SOUTH:
			return b[0];
		default: // WEST, EAST
			return b[2];
		}
	}

	protected Block rightMost() {
		switch (direction) {
		case NORTH:
		case SOUTH:
			return b[3];
		default: // WEST, EAST
			return b[1];
		}
	}



}
